## piuparts 1.1.0~ubuntu1

=== Makefile ===
prefix = /usr/local
sbindir = $(prefix)/sbin
sharedir = $(prefix)/share
mandir = $(sharedir)/man
man1dir = $(mandir)/man1
man8dir = $(mandir)/man8
libdir = $(prefix)/lib
docdir = $(prefix)/share/doc/piuparts
site3 = $(libdir)/python3/dist-packages
htdocsdir	 = $(sharedir)/piuparts/htdocs
etcdir = $(prefix)/etc

distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
ifeq ($(distribution),UNRELEASED)
version		:= ${shell echo "`dpkg-parsechangelog | sed -n 's/^Version: *//p'`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
else
version		:= ${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}
endif


# generate several scripts, conffiles, ... from templates (*.in, *.py)
# by substituting placeholders
SCRIPTS_TEMPLATES	 = $(wildcard *.in master-bin/*.in slave-bin/*.in conf/*.in)
SCRIPTS_PYTHON_BINARY	 = $(wildcard *.py master-bin/*.py slave-bin/*.py)
SCRIPTS_GENERATED	 = $(SCRIPTS_TEMPLATES:.in=) $(SCRIPTS_PYTHON_BINARY:.py=)
DOCS_GENERATED		 = piuparts.1 piuparts_slave_run.8 piuparts_slave_join.8 piuparts_slave_stop.8 docs/build

define placeholder_substitution
	sed -r \
	-e 's/__PIUPARTS_VERSION__/$(version)/g' \
	-e 's%@libdir@%$(libdir)%g' \
	-e 's%@sharedir@%$(sharedir)%g' \
	-e 's%@sbindir@%$(sbindir)%g' \
	$< > $@
endef

%: %.in Makefile
	$(placeholder_substitution)

%: %.py Makefile
	$(placeholder_substitution)


all: build

python_scripts	 = $(wildcard *.py piupartslib/*.py master-bin/*.py slave-bin/*.py)
python-syntax-check:
	@set -e -x; $(foreach py,$(python_scripts),python3 -m py_compile $(py);)
	$(RM) $(python_scripts:=c)

build: build-stamp build-master-stamp
build-slave: build-stamp
build-master: build-stamp build-master-stamp

build-stamp: $(SCRIPTS_GENERATED) $(DOCS_GENERATED) Makefile
	$(MAKE) -C instances
	$(MAKE) python-syntax-check
	touch $@

build-master-stamp:
	(cd helpers/debiman-piuparts-distill && go build)
	touch $@

build-doc: $(DOCS_GENERATED)

docs/build: docs/build
	python3 -m sphinx docs/ docs/build/

piuparts.1: docs/piuparts/piuparts.1.txt
	python3 -m sphinx -b man -c docs/piuparts/ docs/piuparts/ ./

piuparts_slave_run.8: docs/piuparts_slave_run/piuparts_slave_run.8.txt
	python3 -m sphinx -b man -c docs/piuparts_slave_run/ docs/piuparts_slave_run/ ./

piuparts_slave_join.8: docs/piuparts_slave_join/piuparts_slave_join.8.txt
	python3 -m sphinx -b man -c docs/piuparts_slave_join/ docs/piuparts_slave_join/ ./

piuparts_slave_stop.8: docs/piuparts_slave_stop/piuparts_slave_stop.8.txt
	python3 -m sphinx -b man -c docs/piuparts_slave_stop/ docs/piuparts_slave_stop/ ./

install-doc: build-stamp
	# txt
	install -d $(DESTDIR)$(docdir)/
	install -m 0644 docs/README.txt docs/README_server.txt $(DESTDIR)$(docdir)/
	# html
	install -d $(DESTDIR)$(docdir)/html/
	install -m 0644 docs/build/*.html $(DESTDIR)$(docdir)/html/
	install -m 0644 docs/build/searchindex.js $(DESTDIR)$(docdir)/html/
	install -m 0644 docs/build/objects.inv $(DESTDIR)$(docdir)/html/
	install -d $(DESTDIR)$(docdir)/html/_static/
	install -m 0644 docs/build/_static/* $(DESTDIR)$(docdir)/html/_static
	install -d $(DESTDIR)$(docdir)/html/piuparts/
	install -m 0644 docs/build/piuparts/index.html $(DESTDIR)$(docdir)/html/piuparts/
	install -m 0644 docs/build/piuparts/piuparts.1.html $(DESTDIR)$(docdir)/html/piuparts/
	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_run/
	install -m 0644 docs/build/piuparts_slave_run/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
	install -m 0644 docs/build/piuparts_slave_run/piuparts_slave_run.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_join/
	install -m 0644 docs/build/piuparts_slave_join/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
	install -m 0644 docs/build/piuparts_slave_join/piuparts_slave_join.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
	install -m 0644 docs/build/piuparts_slave_stop/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
	install -m 0644 docs/build/piuparts_slave_stop/piuparts_slave_stop.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
	install -d $(DESTDIR)$(docdir)/html/
	install -m 0644 docs/build/*.html $(DESTDIR)$(docdir)/html/
	install -m 0644 docs/build/searchindex.js $(DESTDIR)$(docdir)/html/
	install -m 0644 docs/build/objects.inv $(DESTDIR)$(docdir)/html/
	install -d $(DESTDIR)$(docdir)/html/_static/
	install -m 0644 docs/build/_static/* $(DESTDIR)$(docdir)/html/_static
	install -d $(DESTDIR)$(docdir)/html/piuparts/
	install -m 0644 docs/build/piuparts/index.html $(DESTDIR)$(docdir)/html/piuparts/
	install -m 0644 docs/build/piuparts/piuparts.1.html $(DESTDIR)$(docdir)/html/piuparts/
	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_run/
	install -m 0644 docs/build/piuparts_slave_run/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
	install -m 0644 docs/build/piuparts_slave_run/piuparts_slave_run.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_join/
	install -m 0644 docs/build/piuparts_slave_join/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
	install -m 0644 docs/build/piuparts_slave_join/piuparts_slave_join.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
	install -m 0644 docs/build/piuparts_slave_stop/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
	install -m 0644 docs/build/piuparts_slave_stop/piuparts_slave_stop.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
	# manpages
	install -d $(DESTDIR)$(man1dir)
	install -m 0644 piuparts.1 $(DESTDIR)$(man1dir)/
	gzip -9fn $(DESTDIR)$(man1dir)/piuparts.1
	install -d $(DESTDIR)$(man8dir)
	install -m 0644 piuparts_slave_run.8 piuparts_slave_join.8 piuparts_slave_stop.8 $(DESTDIR)$(man8dir)/
	gzip -9fn $(DESTDIR)$(man8dir)/piuparts_slave_run.8
	gzip -9fn $(DESTDIR)$(man8dir)/piuparts_slave_join.8
	gzip -9fn $(DESTDIR)$(man8dir)/piuparts_slave_stop.8

install-conf: build-stamp
	install -d $(DESTDIR)$(etcdir)/piuparts
	install -m 0644 conf/piuparts.conf.sample $(DESTDIR)$(etcdir)/piuparts/piuparts.conf
	install -m 0644 conf/distros.conf $(DESTDIR)$(etcdir)/piuparts/
	install -d $(DESTDIR)$(etcdir)/apache2/conf-available
	install -m 0644 conf/piuparts-master.conf $(DESTDIR)$(etcdir)/apache2/conf-available/

install-conf-4-running-from-git: build-stamp
	install -d $(DESTDIR)$(etcdir)/piuparts
	install -m 0644 conf/crontab-master $(DESTDIR)$(etcdir)/piuparts/
	install -m 0644 conf/crontab-slave $(DESTDIR)$(etcdir)/piuparts/
	install -m 0644 conf/distros.conf $(DESTDIR)$(etcdir)/piuparts/
	install -m 0644 instances/piuparts.conf.* $(DESTDIR)$(etcdir)/piuparts/
	install -d $(DESTDIR)$(sharedir)/piuparts/slave
	install -m 0755 update-piuparts-slave-setup $(DESTDIR)$(sharedir)/piuparts/slave/
	install -d $(DESTDIR)$(sharedir)/piuparts/master
	install -m 0755 update-piuparts-master-setup $(DESTDIR)$(sharedir)/piuparts/master/

install-common: build-stamp
	install -d $(DESTDIR)$(site3)/piupartslib
	install -m 0644 piupartslib/*.py $(DESTDIR)$(site3)/piupartslib/

	install -d $(DESTDIR)$(sharedir)/piuparts/lib
	install -m 0644 lib/*.sh $(DESTDIR)$(sharedir)/piuparts/lib/

install-master: build-master-stamp install-common
	install -d $(DESTDIR)$(libdir)/piuparts/
	install -m 0755 helpers/debiman-piuparts-distill/debiman-piuparts-distill $(DESTDIR)$(libdir)/piuparts/

	install -d $(DESTDIR)$(sharedir)/piuparts
	install -m 0755 piuparts-master piuparts-master-backend piuparts-report piuparts-analyze $(DESTDIR)$(sharedir)/piuparts/

	# do not install the templates (*.in, *.py, *.) nor __pycache__
	install -d $(DESTDIR)$(sharedir)/piuparts/master
	install -m 0755 $(filter-out %.in %.py %__pycache__,$(wildcard master-bin/*)) $(DESTDIR)$(sharedir)/piuparts/master/

	install -d $(DESTDIR)$(sharedir)/piuparts/known_problems
	install -m 0644 known_problems/*.conf $(DESTDIR)$(sharedir)/piuparts/known_problems/

	install -d $(DESTDIR)$(htdocsdir)
	install -m 0644 htdocs/*.* $(DESTDIR)$(htdocsdir)/

	install -d $(DESTDIR)$(htdocsdir)/images
	install -m 0644 htdocs/images/*.* $(DESTDIR)$(htdocsdir)/images/

	install -d $(DESTDIR)$(htdocsdir)/templates/mail
	install -m 0644 bug-templates/*.mail $(DESTDIR)$(htdocsdir)/templates/mail/

	#install -d $(DESTDIR)$(etcdir)/piuparts/known_problems
	#install -m 0644 known_problems/*.conf $(DESTDIR)$(etcdir)/piuparts/known_problems/

install-slave: install-common
	install -d $(DESTDIR)$(sbindir)
	install -m 0755 piuparts $(DESTDIR)$(sbindir)/

	install -d $(DESTDIR)$(sharedir)/piuparts
	install -m 0755 piuparts-slave $(DESTDIR)$(sharedir)/piuparts/

	# do not install the templates (*.in, *.py) nor __pycache__
	install -d $(DESTDIR)$(sharedir)/piuparts/slave
	install -m 0755 $(filter-out %.in %.py %__pycache__,$(wildcard slave-bin/*)) $(DESTDIR)$(sharedir)/piuparts/slave/

	install -d $(DESTDIR)$(etcdir)/piuparts
	@set -e -x ; \
	for d in $$(ls custom-scripts) ; do \
		install -d $(DESTDIR)$(etcdir)/piuparts/$$d ; \
		install -m 0755 custom-scripts/$$d/* $(DESTDIR)$(etcdir)/piuparts/$$d/ ; done

install: install-master install-slave


check:
	python3 -m nose --verbose

clean:
	rm -f build-stamp
	rm -f build-master-stamp
	rm -fr $(DOCS_GENERATED)
	rm -fr .doctrees/
	rm -f *.pyc piupartslib/*.pyc master-bin/*.pyc slave-bin/*.pyc tests/*.pyc
	rm -f $(SCRIPTS_GENERATED)
	$(RM) helpers/debiman-piuparts-distill/debiman-piuparts-distill
	$(MAKE) -C instances clean


# for maintainer convenience only
check-whitespace:
	grep -r --exclude-dir .git --exclude '*.pyc' --exclude '*.png' --exclude '*.ico' -E '\s+$$' . || echo "no trailing whitespace found"
	grep -r --exclude-dir .git --exclude '*.pyc' --exclude '*.png' --exclude '*.ico' -P ' \t' . || echo "no space-tab combo found"

# for maintainer convenience only
tg-deps:
	tg summary --graphviz | dot -T png -o deps.png
	xli deps.png &

=== debian/changelog ===
piuparts (1.1.0~ubuntu1) eoan; urgency=medium

  * Set GOCACHE to a safely writable directory during build as the cache is
    mandatory with Go 1.12. 

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Sep 2019 23:12:00 -0700

piuparts (1.1.0~build1) eoan; urgency=medium

  * Upload from current git trunk to move to python3 and fix build failure
    due to build-dependency on removed python-mox3.

  [ Herbert Parentes Fortes Neto ]
  * piuparts.py: use Popen with universal_newlines=True. Py2, Py3 compatible.
  * New mail template: add bug-templates/obsolete_conffiles.mail.

  [ Thomas Goirand ]
  * Switch to package to Python 3:
    - Replaced python- with python3- in debian/control.
    - Removed all python2 (>= 2.7) by a ${python3:Depends}.
    - Replaced python2 by python3 in debian/rules.
    - Replaced dh_python2 stuff by dh_python3 in debian/rules.
    - Patched piupartslib/conf.py, piupartslib/dependencyparser.py,
      piupartslib/packagesdb.py, piupartslib/pkgsummary.py, tests/unittests.py
      so that they are Python 3 compatible.
    - Removed python-lzma (build-)depends as it's in standard in Py 3.
    - Add python3-six as (build-)depends.
    - Fix Makefile to use python3 and not python2.
    - d/piuparts-common.install: switch to python 3.
    - d/rules: remove all __pycache__ folder before proceeding to install.
    - Add --shebang=/usr/bin/python3 when calling dh_python3.
    - Do not use -N piuparts-master -N piuparts-slave when calling dh_python3
      for the 2nd time, so that it correctly adds the interpreter as depends.
    - Lintian overrides "python-script-but-no-python-dep": that's ok, because
      piuparts-common already has the dependency.

  [ Mattia Rizzolo ]
  * piuparts-slave.py: port to python3.

  [ Holger Levsen ]
  * Bump version number to 1.1.x due to the switch to python3.
  * piuparts.conf-template.pejacevic:
    - also test bullseye and bullseye-rcmd. Closes: #933061.
    - increase precedence values for oldstable and older.
  * docs/README_server.txt, docs/piuparts/piuparts.1.txt and piuparts.py:
    update examples for buster being stable and bullseye being the new
    testing.
  * Use /usr/bin/python3 everywhere.
  * Bump standards version to 4.4.0, no changes needed.
  * d/tests: Add simple smoke-test.
  * htdocs/news.tpl: mention new suites bullseye and bullseye-rcmd being
    tested.

  [ David Prévot ]
  * Use the same favicon as the one from www.d.o.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 26 Sep 2019 16:41:30 -0700

piuparts (1.0.1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * piuparts.conf, distros.conf: Update for buster release.
  * piuparts.py:
    - Add '--max-command-output-size' option to allow overriding the default
      of 8 MB for debugging runs.
    - Run pre_remove scripts before computing packages to be removed.
    - Fix spurious failure to remove packages with names ending with '+'.
  * piupartslib/packagesdb.py:
    - Remove stale .kpr files after receiving new logs.
  * piuparts-slave.py:
    - Generate separate tarball names for --merged-usr chroots.
    - Re-exec on SIGUSR1, picking up updated code and new config sections.
  * master-bin/detect_piuparts_issues:
    - Clean up stale temporary and empty files.
  * master-bin/rotate_master_logs: Delete master logs older than 90 days.
  * slave-bin/slave_reexec: New, send SIGUSR1 to all running slaves.
  * custom-scripts: Add and update several exceptions.
  * piuparts.conf.anbe: Add some more example sections.

  [ Holger Levsen ]
  * generate_daily_report: improve statistics.

 -- Holger Levsen <holger@debian.org>  Tue, 18 Jun 2019 14:48:59 +0200

=== debian/control ===
Source: piuparts
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
Uploaders:
 Holger Levsen <holger@debian.org>
Section: devel
Priority: optional
Standards-Version: 4.4.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all,
 python3-apt,
 python3-debian,
 python3-debianbts,
 python3-distro-info,
 python3-mox3,
 python3-nose,
 python3-six,
 python3-sphinx,
 python3-yaml,
 golang-any,
Build-Depends-Indep:
 git,
Homepage: https://piuparts.debian.org
Vcs-Git: https://salsa.debian.org/debian/piuparts.git
Vcs-Browser: https://salsa.debian.org/debian/piuparts
Xs-Go-Import-Path: salsa.debian.org/debian/piuparts

Package: piuparts
Architecture: all
Depends:
 piuparts-common (= ${binary:Version}),
# keep this list in sync with piuparts-slave-from-git-deps
 debootstrap (>= 1.0.89~),
 debsums (>= 2.2.2~),
 libjs-sphinxdoc,
 lsb-release,
 lsof,
 mount,
 python3-debian,
 ${python3:Depends},
 ${misc:Depends},
Recommends:
 adequate
Suggests:
 schroot,
 docker.io,
Description: .deb package installation, upgrading, and removal testing tool
 piuparts tests that .deb packages (as used by Debian) handle
 installation, upgrading, and removal correctly. It does this by
 creating a minimal Debian installation in a chroot, and installing,
 upgrading, and removing packages in that environment, and comparing the
 state of the directory tree before and after. piuparts reports any
 files that have been added, removed, or modified during this process.
 .
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.

Package: piuparts-master
Architecture: any
Built-Using: ${misc:Built-Using}
Depends:
 piuparts-common (>= ${source:Version}),
 piuparts-common (<< ${source:Version}+),
# keep this list in sync with piuparts-master-from-git-deps
 adduser,
 openssh-server,
 python3-debianbts,
 python3-setproctitle,
 tango-icon-theme,
 xz-utils,
 python3-yaml,
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 apache2 | httpd,
 ghostscript,
 python3-rpy2,
 r-base-dev,
 r-recommended,
 devscripts,
 libsoap-lite-perl,
Description: piuparts master components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This package provides the piuparts-master, which needs one or more slaves to
 operate. It also contains piuparts-report to generate web pages with the
 testing results as well as documentation.

Package: piuparts-master-from-git-deps
Architecture: all
Depends:
 git,
# this list is synced from piuparts-master
 adduser,
 openssh-server,
 python3-debianbts,
 python3-setproctitle,
 tango-icon-theme,
 xz-utils,
 python3-yaml,
# selected packages from piuparts-master Recommends
 apache2 | httpd,
 python3-rpy2,
# this list is synced from piuparts-common
 python3-apt,
 python3-distro-info,
 ${misc:Depends},
 ${python3:Depends},
Description: dependencies for running piuparts master from git
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This metapackage provides all the dependencies needed for running a
 piuparts-master instance (including piuparts-report etc.) from git.

Package: piuparts-slave
Architecture: all
Depends:
 piuparts (= ${binary:Version}),
 piuparts-common (= ${binary:Version}),
# keep this list in sync with piuparts-slave-from-git-deps
 adduser,
 openssh-client,
 screen,
 sudo,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 schroot
Description: piuparts slave components
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This package provides the piuparts slave components, which need a piuparts
 master to operate. See the documentation in the piuparts-master package.

Package: piuparts-slave-from-git-deps
Architecture: all
Depends:
 git,
# this list is synced from piuparts-slave
 adduser,
 openssh-client,
 screen,
 sudo,
# this list is synced from piuparts
 debootstrap (>= 1.0.89~),
 debsums (>= 2.2.2~),
 libjs-sphinxdoc,
 lsb-release,
 lsof,
 mount,
 python3-debian,
# this list is synced from piuparts-common
 python3-apt,
 python3-distro-info,
 ${misc:Depends},
 ${python3:Depends},
Description: dependencies for running piuparts slave from git
 piuparts is meant as a quality assurance tool for people who create .deb
 packages to test them before they upload them to the Debian package archive.
 A master/slave piuparts installation is used for testing complete archives
 as it is done on https://piuparts.debian.org/.
 .
 This metapackage provides all the dependencies needed for running a
 piuparts-slave instance from git.

Package: piuparts-common
Architecture: all
Depends:
# keep this list in sync with piuparts-{master,slave}-from-git-deps
 python3-apt,
 python3-distro-info,
 python3-six,
 python3-urllib3,
 ${misc:Depends},
 ${python3:Depends},
Description: common piuparts components
 piupartslib, common library used by piuparts-master, -report, -analyze and
 -slave.
 .
 See https://piuparts.debian.org or the piuparts package to learn more about
 piuparts.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export GOCACHE := $(CURDIR)/.gocache

%:
	dh $@ --with python3


override_dh_auto_build:
	$(MAKE) prefix=/usr build build-doc

override_dh_auto_install:
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=/usr etcdir=/etc install install-doc install-conf

override_dh_python3:
	dh_python3 -p piuparts-master -p piuparts-slave /usr/share/piuparts --shebang=/usr/bin/python3
	dh_python3 -N piuparts-master -N piuparts-slave

## piuparts 1.1.1

=== debian/changelog ===
piuparts (1.1.1) unstable; urgency=medium

  * Team upload to unstuck python-debianbts migration.

  [ Nis Martensen ]
  * autopkgtest: replace broken stubs with actual tests.
  * Makefile: delete __pycache__ dirs in make clean.
  * piupartslib/dwke: do not error out on non-utf8 logfiles.

 -- Holger Levsen <holger@debian.org>  Tue, 14 Jan 2020 13:48:49 +0100

piuparts (1.1.0) unstable; urgency=medium

  * Team upload.

  [ Herbert Parentes Fortes Neto ]
  * piuparts.py: use Popen with universal_newlines=True. Py2, Py3 compatible.
  * New mail template: add bug-templates/obsolete_conffiles.mail.

  [ Thomas Goirand ]
  * Switch to package to Python 3:
    - Replaced python- with python3- in debian/control.
    - Removed all python2 (>= 2.7) by a ${python3:Depends}.
    - Replaced python2 by python3 in debian/rules.
    - Replaced dh_python2 stuff by dh_python3 in debian/rules.
    - Patched piupartslib/conf.py, piupartslib/dependencyparser.py,
      piupartslib/packagesdb.py, piupartslib/pkgsummary.py, tests/unittests.py
      so that they are Python 3 compatible.
    - Removed python-lzma (build-)depends as it's in standard in Py 3.
    - Add python3-six as (build-)depends.
    - Fix Makefile to use python3 and not python2.
    - d/piuparts-common.install: switch to python 3.
    - d/rules: remove all __pycache__ folder before proceeding to install.
    - Add --shebang=/usr/bin/python3 when calling dh_python3.
    - Do not use -N piuparts-master -N piuparts-slave when calling dh_python3
      for the 2nd time, so that it correctly adds the interpreter as depends.
    - Lintian overrides "python-script-but-no-python-dep": that's ok, because
      piuparts-common already has the dependency.

  [ Bastian Venthur ]
  * piuparts-analyze.py: updates for python-debianbts 2.10.0 deprecating
    some methodcalls, update depends in d/control accordingly.
    Closes: #919170.

  [ Nis Martensen ]
  * piuparts, piuparts-master-backend, piuparts-report,
    detect_well_known_errors, piupartslib/(dependencyparser|packagesdb):
    several fixes and improvements related to porting to python3.

  [ James Clarke ]
  * piuparts: Fix diff_meta_data reporting every file as new and removed.

  [ Mattia Rizzolo ]
  * piuparts-slave.py: port to python3.

  [ David Prévot ]
  * Use the same favicon as the one from www.d.o.

  [ Holger Levsen ]
  * Bump version number to 1.1.x due to the switch to python3.
  * piuparts.conf-template.pejacevic:
    - also test bullseye and bullseye-rcmd. Closes: #933061.
    - increase precedence values for oldstable and older.
  * docs/README_server.txt, docs/piuparts/piuparts.1.txt and piuparts.py:
    update examples for buster being stable and bullseye being the new
    testing.
  * Use /usr/bin/python3 everywhere. Closes: #937293.
  * d/control:
    - bump standards version to 4.4.1, no changes needed.
    - bump debhelper-compat to 12.
  * d/tests: Add simple smoke-test.
  * htdocs/news.tpl:
    - mention new suites bullseye and bullseye-rcmd being tested.
    - mention piuparts.debian.org is running the python3 branch.
    - add farewell note.
  * instances/Makefile: set default mirror to deb.debian.org.
  * d/rules: set GOCACHE to a safely writable directory during build as
    the cache is mandatory with Go 1.12.
  * d/control:
    - bump standards version to 4.4.1, no changes needed.
    - bump debhelper-compat to 12.
    - remove myself from uploaders. It was fun! Policy is your friend. Trust
      the Policy. Love the Policy. Obey the Policy.
  * instances/*, docs/README_pejacevic.txt and htdocs/index: stop mentioning
    piu-slave-bm-a.debian.org.

 -- Holger Levsen <holger@debian.org>  Wed, 08 Jan 2020 20:50:42 +0100

## piuparts 1.1.1build1

=== instances/Makefile ===
ARCH				 = amd64
MIRROR				 = http://deb.debian.org/debian/

ARCH_piu-slave-1und1-01		 = i386
MIRROR_piu-slave-1und1-01	 = http://mirror.1und1.de/debian/
MIRROR_piu-slave-ubc-01		 = http://mirror-ubc.debian.org/debian/

GENCONF		 = piuparts.conf.pejacevic
GENCONF		+= piuparts.conf.piu-slave-1und1-01
GENCONF		+= piuparts.conf.piu-slave-ubc-01

all: $(GENCONF)

clean:
	$(RM) $(GENCONF)

piuparts.conf.%: piuparts.conf-template.pejacevic Makefile piuparts.conf-header.%
	cat piuparts.conf-header.$* > $@.tmp
	echo "" >> $@.tmp
	sed 's,@MIRROR@,$(or $(MIRROR_$*),$(MIRROR)),; s,@ARCH@,$(or $(ARCH_$*),$(ARCH)),;' < $< >> $@.tmp
	mv $@.tmp $@

=== debian/changelog ===
piuparts (1.1.1build1) focal; urgency=medium

  * No-change rebuild with fixed binutils on arm64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 08 Feb 2020 11:17:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,16 @@
 Source: piuparts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
-Uploaders:
- Holger Levsen <holger@debian.org>
+Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3-all,
  python3-apt,
  python3-debian,
- python3-debianbts,
+ python3-debianbts (>= 2.10.0),
  python3-distro-info,
  python3-mox3,
  python3-nose,
@@ -67,7 +64,7 @@
 # keep this list in sync with piuparts-master-from-git-deps
  adduser,
  openssh-server,
- python3-debianbts,
+ python3-debianbts (>= 2.10.0),
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
@@ -100,7 +97,7 @@
 # this list is synced from piuparts-master
  adduser,
  openssh-server,
- python3-debianbts,
+ python3-debianbts (>= 2.10.0),
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,

=== debian/rules ===
--- 
+++ 
@@ -2,17 +2,16 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
 export GOCACHE := $(CURDIR)/.gocache
 
 %:
 	dh $@ --with python3
 
-
 override_dh_auto_build:
 	$(MAKE) prefix=/usr build build-doc
 
 override_dh_auto_install:
-	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp prefix=/usr etcdir=/etc install install-doc install-conf
 
 override_dh_python3:

=== debian/tests/control ===
Tests: smoke-test
Depends: @
Restrictions: needs-root

## piuparts 1.1.2

=== debian/changelog ===
piuparts (1.1.2) unstable; urgency=medium

  * Team upload.

  [ Nis Martensen ]
  * piuparts.py:
    - prevent KeyError in diff_meta_data. (Closes: #968842)
    - do not crash on non-utf-8 command output.
  * piuparts-analyze: unbreak sorting of version lists.
  * autopkgtest: add a must-fail test.
  * d/p-[ms].lintian-overrides: update to python3/

  [ Nicolas Dandrimont ]
  * Add exemption for /var/lib/dpkg/cmethopt. (Closes: #953756)
  * piuparts-analyze:
    - print full exceptions when failing.
    - fetch all bugs in bulk instead of package by package.
    - only wait for 60 seconds when a given section is busy.
  * Add myself to uploaders.
  * d/rules: Add workaround for dh-dwz bug #933541.
  * Set Description last when generating a dummy package.
  * Start piuparts-slave automatically after reboots again.
  * Add piu-slave-conova-01.
  * Add news entry for piu-slave-conova-01.
  * Move piu-slave-ubc-01 to deb.d.o.

  [ Ansgar ]
  * piuparts-report.py: fix link to states.png.

  [ Stuart Prescott ]
  * Add timeout when fetching packages files.

  [ Julien Cristau ]
  * Make the summary generation atomic.

  [ Holger Levsen ]
  * Bump standards version to 4.5.1, no changes needed.

  [ Debian Janitor ]
  * Fix day-of-week for changelog entry 0.16-1.

 -- Holger Levsen <holger@debian.org>  Tue, 19 Jan 2021 16:17:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: piuparts
 Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
+Uploaders: Nicolas Dandrimont <olasd@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),

## piuparts 1.1.3

=== debian/changelog ===
piuparts (1.1.3) unstable; urgency=medium

  [ Michael Prokop ]
  * p: new option --update-retries <num> to re-run apt-get update.
    (MR: debian/piuparts!34)

  [ Holger Levsen ]
  * d/control:
    - add adequate and pkg-config to piuparts-slave-from-git-deps' depends.
      Closes: #893022.
    - add myself back to uploaders.
  * d/copyright: update my copyright years.

  [ Debian Janitor ]
  * Upgrade to newer source format 3.0 (native).

 -- Holger Levsen <holger@debian.org>  Fri, 26 Feb 2021 18:51:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: piuparts
 Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
-Uploaders: Nicolas Dandrimont <olasd@debian.org>
+Uploaders: Nicolas Dandrimont <olasd@debian.org>,
+ Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
 Standards-Version: 4.5.1
@@ -146,7 +147,9 @@
 Package: piuparts-slave-from-git-deps
 Architecture: all
 Depends:
+ adequate,
  git,
+ pkg-config,
 # this list is synced from piuparts-slave
  adduser,
  openssh-client,

## piuparts 1.1.4

=== Makefile ===
--- 
+++ 
@@ -208,7 +208,8 @@
 	rm -f build-master-stamp
 	rm -fr $(DOCS_GENERATED)
 	rm -fr .doctrees/
-	rm -f *.pyc piupartslib/*.pyc master-bin/*.pyc slave-bin/*.pyc tests/*.pyc
+	find . -iname '*.pyc' -type f -delete
+	find . -iname __pycache__ -type d -delete
 	rm -f $(SCRIPTS_GENERATED)
 	$(RM) helpers/debiman-piuparts-distill/debiman-piuparts-distill
 	$(MAKE) -C instances clean

=== debian/changelog ===
piuparts (1.1.4) unstable; urgency=medium

  [ David Steele ]
  * Make a valid pkgsummary entry for an "invalid" pkg.
  * Remove Python2 support from pkgsummary.
  * Reformat pkgsummary.

  [ Andreas Beckmann ]
  * piuparts.conf, distros.conf:
    - Update for bullseye release.
    - Create bookworm tarballs.
    - Rename stretch-next to stretch-lts.
  * docs/README_server.txt, docs/piuparts/piuparts.1.txt, piuparts.py:
    Update examples for bullseye being stable and bookworm the new testing.
  * piuparts-slave.postinst: Do not fail if no sshd is available on
    localhost:22.
  * scripts/pre_distupgrade_zz_database-server: bullseye/sid has postgresql-13
    and mariadb-10.5.  (Closes: #988704)
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Aug 2021 13:18:44 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: piuparts
 Maintainer: piuparts developers team <piuparts-devel@alioth-lists.debian.net>
 Uploaders: Nicolas Dandrimont <olasd@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional

=== debian/rules ===
--- 
+++ 
@@ -17,3 +17,8 @@
 override_dh_python3:
 	dh_python3 -p piuparts-master -p piuparts-slave /usr/share/piuparts --shebang=/usr/bin/python3
 	dh_python3 -N piuparts-master -N piuparts-slave
+
+override_dh_dwz:
+	# Workaround for https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=933541
+	# (this workaround can be dropped with debhelper from buster-backports)
+	:

## piuparts 1.1.5

=== instances/Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 ARCH_piu-slave-1und1-01		 = i386
 MIRROR_piu-slave-1und1-01	 = http://mirror.1und1.de/debian/
-MIRROR_piu-slave-ubc-01		 = http://mirror-ubc.debian.org/debian/
 
 GENCONF		 = piuparts.conf.pejacevic
 GENCONF		+= piuparts.conf.piu-slave-1und1-01
 GENCONF		+= piuparts.conf.piu-slave-ubc-01
+GENCONF		+= piuparts.conf.piu-slave-conova-01
 
 all: $(GENCONF)

=== debian/changelog ===
piuparts (1.1.5) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * pejacevic: update enabled suites for bullseye as stable, bookworm as
    testing.
  * Add news for the bullseye update.
  * Fix perjacevic typo in docs.

  [ David Steele ]
  * Remove oldstable results from summary.json.

  [ Athos Ribeiro ]
  * d/rules: set GO111MODULE to auto to maintain pre Go 1.16 behavior. Closes: #991970.
    (MR: debian/piuparts!35)

 -- Holger Levsen <holger@debian.org>  Thu, 14 Oct 2021 15:23:26 +0200

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,7 @@
 #export DH_VERBOSE=1
 
 export GOCACHE := $(CURDIR)/.gocache
+export GO111MODULE := auto
 
 %:
 	dh $@ --with python3

## piuparts 1.1.7

=== Makefile ===
--- 
+++ 
@@ -10,11 +10,11 @@
 htdocsdir	 = $(sharedir)/piuparts/htdocs
 etcdir = $(prefix)/etc
 
-distribution=${shell dpkg-parsechangelog | sed -n 's/^Distribution: *//p'}
+distribution=${shell dpkg-parsechangelog -SDistribution}
 ifeq ($(distribution),UNRELEASED)
-version		:= ${shell echo "`dpkg-parsechangelog | sed -n 's/^Version: *//p'`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
+version		:= ${shell echo "`dpkg-parsechangelog -SVersion`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
 else
-version		:= ${shell dpkg-parsechangelog | sed -n 's/^Version: *//p'}
+version		:= ${shell dpkg-parsechangelog -SVersion}
 endif
 
 
@@ -83,42 +83,7 @@
 	install -d $(DESTDIR)$(docdir)/
 	install -m 0644 docs/README.txt docs/README_server.txt $(DESTDIR)$(docdir)/
 	# html
-	install -d $(DESTDIR)$(docdir)/html/
-	install -m 0644 docs/build/*.html $(DESTDIR)$(docdir)/html/
-	install -m 0644 docs/build/searchindex.js $(DESTDIR)$(docdir)/html/
-	install -m 0644 docs/build/objects.inv $(DESTDIR)$(docdir)/html/
-	install -d $(DESTDIR)$(docdir)/html/_static/
-	install -m 0644 docs/build/_static/* $(DESTDIR)$(docdir)/html/_static
-	install -d $(DESTDIR)$(docdir)/html/piuparts/
-	install -m 0644 docs/build/piuparts/index.html $(DESTDIR)$(docdir)/html/piuparts/
-	install -m 0644 docs/build/piuparts/piuparts.1.html $(DESTDIR)$(docdir)/html/piuparts/
-	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_run/
-	install -m 0644 docs/build/piuparts_slave_run/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
-	install -m 0644 docs/build/piuparts_slave_run/piuparts_slave_run.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
-	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_join/
-	install -m 0644 docs/build/piuparts_slave_join/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
-	install -m 0644 docs/build/piuparts_slave_join/piuparts_slave_join.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
-	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
-	install -m 0644 docs/build/piuparts_slave_stop/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
-	install -m 0644 docs/build/piuparts_slave_stop/piuparts_slave_stop.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
-	install -d $(DESTDIR)$(docdir)/html/
-	install -m 0644 docs/build/*.html $(DESTDIR)$(docdir)/html/
-	install -m 0644 docs/build/searchindex.js $(DESTDIR)$(docdir)/html/
-	install -m 0644 docs/build/objects.inv $(DESTDIR)$(docdir)/html/
-	install -d $(DESTDIR)$(docdir)/html/_static/
-	install -m 0644 docs/build/_static/* $(DESTDIR)$(docdir)/html/_static
-	install -d $(DESTDIR)$(docdir)/html/piuparts/
-	install -m 0644 docs/build/piuparts/index.html $(DESTDIR)$(docdir)/html/piuparts/
-	install -m 0644 docs/build/piuparts/piuparts.1.html $(DESTDIR)$(docdir)/html/piuparts/
-	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_run/
-	install -m 0644 docs/build/piuparts_slave_run/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
-	install -m 0644 docs/build/piuparts_slave_run/piuparts_slave_run.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_run/
-	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_join/
-	install -m 0644 docs/build/piuparts_slave_join/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
-	install -m 0644 docs/build/piuparts_slave_join/piuparts_slave_join.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_join/
-	install -d $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
-	install -m 0644 docs/build/piuparts_slave_stop/index.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
-	install -m 0644 docs/build/piuparts_slave_stop/piuparts_slave_stop.8.html $(DESTDIR)$(docdir)/html/piuparts_slave_stop/
+	cp -r docs/build/ $(DESTDIR)$(docdir)/html/
 	# manpages
 	install -d $(DESTDIR)$(man1dir)
 	install -m 0644 piuparts.1 $(DESTDIR)$(man1dir)/

=== debian/changelog ===
piuparts (1.1.7) unstable; urgency=medium

  [ Holger Levsen ]
  * piuparts.py, tests and docs: handle new "non-free-firmware" section in
    Debian. Closes: #1028661.
  * d/control:
    - remove version constraints on the (build-)depends on python3-debianbts,
      debootstrap amd debsums as they are met since (at least) buster.
    - fix cute-field warning, thanks lintian.
    - bump standards version to 4.6.2, no changes needed.
  * Add debian/source/lintian-overrides to override a bunch of very-long-line-
    length-in-source-file warnings.
  * d/piuparts.lintian-overrides: add debian-news-entry-has-unknown-version
    0.45 due to trimmed d/chanelog in binary packages.
  * Drop unused d./piuparts-(master|slave).lintian-overrides.

  [ Nicolas Dandrimont ]
  * Makefile: use dpkg-parsechangelog -S instead of sed.

 -- Holger Levsen <holger@debian.org>  Wed, 18 Jan 2023 22:45:04 +0100

piuparts (1.1.6) unstable; urgency=medium

  [ David Steele ]
  * Remove oldold*stable dists from json summary.

  [ Holger Levsen ]
  * custom-scripts/scripts/pre_test_root_password: fix grammar in comment.

  [ Luca Boccassi ]
  * piuparts: detect files moving between / and /usr on upgrade.
  * piuparts: detect files moving between / and /usr on dist-upgrade.
  * p.conf: enable --warn-on-usr-move for bullseye/bookworm.
  * custom_scripts: ensure usr-is-merged/usrmerge does not fail the
    migration test.

  [ David Steele ]
  * Add Stable Release tasks to README_pejacevic.txt.

  [ Nicolas Dandrimont ]
  * piuparts-slave: run isort.
  * piuparts-slave: replace pipes.quote with shlex.quote.
  * piuparts.py: run isort.
  * piuparts.py: replace pipes.quote with shlex.quote.
  * test_piuparts: replace mox3 with unittest.mock (Closes: #1028453)
  * Migrate lintian overrides to pointed hints.
  * Simplify docs install in Makefile.
  * Use sphinxdoc dh plugin.

 -- Nicolas Dandrimont <olasd@debian.org>  Wed, 11 Jan 2023 13:31:41 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  Holger Levsen <holger@debian.org>
 Section: devel
 Priority: optional
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 12),
@@ -13,9 +13,8 @@
  python3-all,
  python3-apt,
  python3-debian,
- python3-debianbts (>= 2.10.0),
+ python3-debianbts,
  python3-distro-info,
- python3-mox3,
  python3-nose,
  python3-six,
  python3-sphinx,
@@ -26,22 +25,22 @@
 Homepage: https://piuparts.debian.org
 Vcs-Git: https://salsa.debian.org/debian/piuparts.git
 Vcs-Browser: https://salsa.debian.org/debian/piuparts
-Xs-Go-Import-Path: salsa.debian.org/debian/piuparts
+XS-Go-Import-Path: salsa.debian.org/debian/piuparts
 
 Package: piuparts
 Architecture: all
 Depends:
  piuparts-common (= ${binary:Version}),
 # keep this list in sync with piuparts-slave-from-git-deps
- debootstrap (>= 1.0.89~),
- debsums (>= 2.2.2~),
- libjs-sphinxdoc,
+ debootstrap,
+ debsums,
  lsb-release,
  lsof,
  mount,
  python3-debian,
  ${python3:Depends},
  ${misc:Depends},
+ ${sphinxdoc:Depends}
 Recommends:
  adequate
 Suggests:
@@ -67,7 +66,7 @@
 # keep this list in sync with piuparts-master-from-git-deps
  adduser,
  openssh-server,
- python3-debianbts (>= 2.10.0),
+ python3-debianbts,
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
@@ -100,7 +99,7 @@
 # this list is synced from piuparts-master
  adduser,
  openssh-server,
- python3-debianbts (>= 2.10.0),
+ python3-debianbts,
  python3-setproctitle,
  tango-icon-theme,
  xz-utils,
@@ -157,8 +156,8 @@
  screen,
  sudo,
 # this list is synced from piuparts
- debootstrap (>= 1.0.89~),
- debsums (>= 2.2.2~),
+ debootstrap,
+ debsums,
  libjs-sphinxdoc,
  lsb-release,
  lsof,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export GO111MODULE := auto
 
 %:
-	dh $@ --with python3
+	dh $@ --with python3,sphinxdoc
 
 override_dh_auto_build:
 	$(MAKE) prefix=/usr build build-doc

## piuparts 1.4.3

=== Makefile ===
--- 
+++ 
@@ -11,12 +11,12 @@
 etcdir = $(prefix)/etc
 
 distribution=${shell dpkg-parsechangelog -SDistribution}
+version = ${shell dpkg-parsechangelog -SVersion}
 ifeq ($(distribution),UNRELEASED)
-version		:= ${shell echo "`dpkg-parsechangelog -SVersion`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
-else
-version		:= ${shell dpkg-parsechangelog -SVersion}
+ifeq (,$(findstring salsaci,$(version)))
+version	= ${shell echo "`dpkg-parsechangelog -SVersion`~`date +%Y%m%d%H%M`~`git describe --dirty`"}
 endif
-
+endif
 
 # generate several scripts, conffiles, ... from templates (*.in, *.py)
 # by substituting placeholders

=== debian/changelog ===
piuparts (1.4.3) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Remove use of deprecated configparser.SafeConfigParser (Closes: #1067938)
  * Run autopkgtest on all supported Python versions
  * Add more tar ignore patterns to debian/source/options
  * d/t/all-python-versions: turn on the CPython dev mode
  * run(): ensure that fds are properly closed under all circumstances

  [ Jochen Sprickerhof ]
  * make piuparts.py executable from git

  [ Carlos Henrique Lima Melara ]
  * docs: fix some typos in README.txt (Closes: #1071621)

 -- Nicolas Dandrimont <olasd@debian.org>  Tue, 25 Jun 2024 16:07:49 +0200

piuparts (1.4.2) unstable; urgency=medium

  [ Helmut Grohne ]
  * also fix /bin/sync diversion for bullseye (Closes: #1068312)

  [ Nicolas Dandrimont ]
  * Disable build-path variation from salsa-ci reprotest

 -- Nicolas Dandrimont <olasd@debian.org>  Mon, 06 May 2024 22:52:39 +0200

piuparts (1.4.1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * tests: Update unittest asserts to non-deprecated versions (Closes: #1061749)
  * gbp: only use the bare version for debian tags

  [ Helmut Grohne ]
  * also fix /bin/sync diversion for bookworm

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 23 Mar 2024 10:06:28 +0100

piuparts (1.4) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * Add grub-efi-*-signed to packages that need allow-remove-essential.
    (Closes: #1062192)
  * .gitlab-ci: Add reference to new salsaci wrap-and-sort job
  * *.py: apply newer black formatting
  * piuparts-from-git-deps: pkg-config is deprecated in favor of pkgconf

  [ Stefano Rivera ]
  * Explicitly set the mode on device nodes created by piuparts, overriding
    umask. (Closes: #1064842)

  [ Helmut Grohne ]
  * /bin/sync moved to /usr, duplicate diversion

 -- Nicolas Dandrimont <olasd@debian.org>  Fri, 15 Mar 2024 09:59:29 +0100

piuparts (1.3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Improvements for running piuparts in unprivileged namespaces:
    - improve compatibility of mount_proc with unprivileged namespaces.
    - make --bindmount recursive.
    - allow using --bindmount with things that are not directories.
    - provide a basic /dev tree even in unprivileged namespaces.
  * Allow using tarballs compressed with non-gzip.

  [ Nicolas Dandrimont ]
  * Codebase quality improvements:
    - Introduce Salsa CI pipeline.
    - Run black and isort on the codebase, introduce basic mypy config.
    - Make the codebase flake8-clean.
  * Remove dependency on python3-six (thanks to Alexandre Detiste for the
    suggestion and initial patch).
  * Pass the same environment variables to docker run as are passed to
    other chroots (thanks to Richard Davis for the suggestion and initial
    patch).

  [ Philipp Hahn ]
  * Improvements to the docker runner:
    - Get container id using --cidfile in docker run.
    - Use `docker inspect` to get the docker overlay path directly.
    - Improve log output.

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 13 Jan 2024 14:31:20 +0100

piuparts (1.2) unstable; urgency=medium

  [ David Steele ]
  * Doc - don't include oldoldstable in global summary

  [ Cyril Brulebois ]
  * piuparts(1): fix syntax for long options.
  * piuparts(1): fix syntax for bullet lists.

  [ Nicolas Dandrimont ]
  * piuparts(1): fix a lot of ReStructuredText markup issues
  * config: bookworm has been released, trixie is now testing
  * news: Add news for bookworm release
  * Default to merged-/usr chroots (Closes: #1054898)
  * p.conf: the merged-/usr file move moratorium has been repealed
  * p.conf: add --no-merged-usr to config for archived suites
  * p.conf: don't schedule jobs for the sid-merged-usr suite
  * p.conf: clean up the sid-merged-usr tarball
  * custom-scripts: usrmerge and usr-is-merged should be testable now
  * p.conf: Don't reschedule tests for archived suites
  * p.conf: clean up tarball jobs for archived suites
  * p.conf: set max-reserved to 0 for archived suites
  * news: fix date for bookworm news item
  * news: add item for merging test chroots
  * d/source: Update lintian overrides
  * d/control: Update to dh compat level 13

  [ Evgeni Golov ]
  * explicitly state that piuparts needs direct access to docker storage

 -- Nicolas Dandrimont <olasd@debian.org>  Sat, 28 Oct 2023 23:17:21 +0200

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-apt,
@@ -16,7 +16,6 @@
  python3-debianbts,
  python3-distro-info,
  python3-nose,
- python3-six,
  python3-sphinx,
  python3-yaml,
  golang-any,
@@ -149,7 +148,7 @@
 Depends:
  adequate,
  git,
- pkg-config,
+ pkgconf,
 # this list is synced from piuparts-slave
  adduser,
  openssh-client,
@@ -183,7 +182,6 @@
 # keep this list in sync with piuparts-{master,slave}-from-git-deps
  python3-apt,
  python3-distro-info,
- python3-six,
  python3-urllib3,
  ${misc:Depends},
  ${python3:Depends},

=== debian/tests/control ===
Tests: smoke-test
Depends: piuparts
Restrictions: needs-root

Tests: all-python-versions
Depends: piuparts, python3-all
Restrictions: needs-root
